Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156439 - Directory navigation requires backslash to function properly
Summary: Directory navigation requires backslash to function properly
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pan
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact:
URL: http://bugzilla.gnome.org/show_bug.cg...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-30 05:54 UTC by Alan Olsen
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-07 22:53:18 UTC


Attachments (Terms of Use)

Description Alan Olsen 2005-04-30 05:54:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
This is a well-known bug in Pan.  It was fixed in the development version over a year ago.

Quoting from the Bugzilla entry on Gnome.org:

When saving to a directory, pan does not provide the backslash after the
directory name. A subsequent "save to" a different directory, necessitates
appending the slash after the previous directory name, otherwise the user 
cannot properly navigate the ~/News/Pan directory structure.

e.g. 
1) Save 1st attachment to ~/News/Pan/kittens/ <--note the trailing slash.
2) Now wish to save the *next attachment* to a different subdirectory.
However, when I select "save attachment as" the dialog window shows
"~/News/Pan/kittens", *instead of "~/News/Pan/kittens/ . 
The user either has to add the trailing slash, *or* remove the last
(i.e. most recent) subdirectory name, in order to properly navigate the
Pan subdirectories.

This bug is consistent and reproducible.

This is not a serious bug.  It is just damned annoying.  (And there is a known patch for it.)  Actually Pan should be built out of the cvs tree.  The version shipped is over two years old.

Version-Release number of selected component (if applicable):
pan-0.14.2-8

How reproducible:
Always

Steps to Reproduce:
Described in the description.  Create a directory. Save something.  Try to save something else to a different directory.  The last entry in the list of directories will be treated as a selected file, not a directory.
  

Additional info:

Comment 1 Pete Zaitcev 2005-06-07 22:53:18 UTC
I am, unfortunately, swamped. Seriously...
Pan is being transitioned to Fedora Extras, so here's hoping that it
finds capable hands.


Comment 2 Alan Olsen 2005-06-08 01:25:21 UTC
I will put together a set of patches to fix the problem(s) and sumbit them.  I
will also be testing the version in CVS for my own use.  If it is worthwhile, I
will post spec file and patches for that as well.

Pan is a very useful newsreader.  It is the best client I have found for Linux.
 Unfortunatly the development on it has slowed to a crawl.  (Maybe why it is
going to extras.)


Note You need to log in before you can comment on or make changes to this bug.